<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
IsKindOf Method (IEdmObject5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmObject5 Interface : IsKindOf Method (IEdmObject5)

Visual Basic
C#
C++/CLI

__MIDL__IEdmObject50000
  Type of object as defined in EdmObjectType

Checks whether the object is of a certain type.

# Syntax

Visual Basic |
--- | ---

    Function IsKindOf( _
       ByVal __MIDL__IEdmObject50000 As EdmObjectType _
    ) As System.Boolean

C# |
--- | ---

    System.bool IsKindOf(
       EdmObjectType __MIDL__IEdmObject50000
    )

C++/CLI |
--- | ---

    System.bool IsKindOf(
    &   EdmObjectType __MIDL__IEdmObject50000
    )

#### Parameters

__MIDL__IEdmObject50000
  Type of object as defined in EdmObjectType

#### Return Value

True if the object is of the specified type, false if not

# Example

Get and Set Item References (C#)
Get and Set Item References (VB.NET)

# Remarks

Return code S_OK indicates that the method successfully executed.

# See Also

####

IEdmObject5 Interface
IEdmObject5 Members

# Availability

Version 5.2 of SOLIDWORKS PDM Professional